/*
*	©Copyright 2002-2003, Microsoft Corporation
*	
*	Written by Sergey Vasilevskiy, 2002-2005.
*/
#pragma once

#include "stdafx.h"

class CCheckpointDB : public CTxnHarnessDBBase
{	
	SQLHSTMT				m_hstmtFrame1;	

	void DoCheckpointFrame1(const TCheckpointInput *pInput);
	
public:
	CCheckpointDB(CDBConnection *pDBConn);
	~CCheckpointDB();

	void DoTxn(const TCheckpointInput *pInput)
	{
		DoCheckpointFrame1(pInput);
	}

	// Function to pass any exception thrown inside
	// database class frame implementation
	// back into the database class
	void Cleanup(void* pException) {};
};
